sensorfw: MagnetometerAdaptor Class Reference

sensorfw

Static Public Member Functions | Protected Member Functions | Properties | List of all members
MagnetometerAdaptor Class Reference

Adaptor for internal magnetometer. More...

`#include <magnetometeradaptor.h>`

Inheritance diagram for MagnetometerAdaptor:

## Static Public Member Functions
static DeviceAdaptor * | factoryMethod (const QString &id)
| Factory method for gaining a new instance of MagnetometerAdaptor class.

## Protected Member Functions
| MagnetometerAdaptor (const QString &id)
| Constructor.
| ~MagnetometerAdaptor ()
bool | setInterval (const int sessionId, const unsigned int interval_us)

## Properties
int | overflowLimit

## Detailed Description

Adaptor for internal magnetometer.

Uses Input Device system as driver interface. Measures values from the magnetometer with sysfsadaptor IntervalMode.

Definition at line 43 of file magnetometeradaptor.h.

## Constructor & Destructor Documentation

## ◆ MagnetometerAdaptor()

MagnetometerAdaptor::MagnetometerAdaptor | ( | const QString & | id | ) |
| protected

Constructor.

Parameters

  id | Identifier for the adaptor.

## ◆ ~MagnetometerAdaptor()

MagnetometerAdaptor::~MagnetometerAdaptor | ( |  | ) |
| protected

## Member Function Documentation

## ◆ factoryMethod()

static DeviceAdaptor * MagnetometerAdaptor::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for gaining a new instance of MagnetometerAdaptor class.

Parameters

  id | Identifier for the adaptor.

Definition at line 54 of file magnetometeradaptor.h.

## ◆ setInterval()

bool MagnetometerAdaptor::setInterval | ( | const int | sessionId,
|  | const unsigned int | interval_us )
| protected

## Property Documentation

## ◆ overflowLimit

int MagnetometerAdaptor::overflowLimit
| readwrite

Definition at line 48 of file magnetometeradaptor.h.

The documentation for this class was generated from the following file:

- adaptors/magnetometeradaptor/magnetometeradaptor.h